Index: main/plugin-admin/resources/js/Ametys/plugins/admin/datasource/DataSourceDAO.js
===================================================================
--- main/plugin-admin/resources/js/Ametys/plugins/admin/datasource/DataSourceDAO.js	(revision 0)
+++ main/plugin-admin/resources/js/Ametys/plugins/admin/datasource/DataSourceDAO.js	(revision 0)
@@ -0,0 +1,472 @@
+/*
+ *  Copyright 2015 Anyware Services
+ *
+ *  Licensed under the Apache License, Version 2.0 (the "License");
+ *  you may not use this file except in compliance with the License.
+ *  You may obtain a copy of the License at
+ *
+ *      http://www.apache.org/licenses/LICENSE-2.0
+ *
+ *  Unless required by applicable law or agreed to in writing, software
+ *  distributed under the License is distributed on an "AS IS" BASIS,
+ *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+ *  See the License for the specific language governing permissions and
+ *  limitations under the License.
+ */
+
+/**
+ * This tool displays the list of data sources 
+ * @private
+ */
+Ext.define('Ametys.plugins.admin.datasource.DataSourceDAO', {
+	
+	singleton: true,
+
+	constructor: function(config)
+	{
+		/**
+    	 * @callable
+    	 * @member Ametys.plugins.admin.datasource.DataSourceDAO
+    	 * @method getSQLDataSource
+    	 * Retrieve a data source from its id
+    	 * This calls the method 'getSQLDataSource' of the server DAO 'org.ametys.runtime.plugins.admin.datasource.DataSourceDAO'.
+    	 * @param {Object[]} parameters The parameters to transmit to the server method
+    	 * @param {String} parameters[0] The id of the data source to retrieve
+    	 * @param {Function} callback The function to call when the java process is over. Can be null. Use options.scope for the scope. 
+     	 * @param {Object} callback.returnedValue The data source information. Null on error (please note that when an error occurred, the callback may not be called depending on the value of errorMessage).
+		 * @param {Object} callback.args Other arguments specified in option.arguments
+		 * @param {Object[]} callback.parameters the parameters the server was called with
+		 * @param {Object} [options] Advanced options for the call.
+		 * @param {Boolean/String/Object} [options.errorMessage] Display an error message. See Ametys.data.ServerCall#callMethod errorMessage.
+		 * @param {Boolean/String/Object} [options.waitMessage] Display a waiting message. See Ametys.data.ServerCall#callMethod waitMessage.
+		 * @param {Number} [options.scope] This parameter is the scope used to call the callback. Moreover is the given class is a mixin of Ametys.data.ServerCaller, its methods #beforeServerCall and #afterServerCall will be used so see their documentation to look for additional options (such a refreshing on Ametys.ribbon.element.ui.ButtonController#beforeServerCall).
+		 * @param {Number} [options.priority] The message priority. See Ametys.data.ServerCall#callMethod for more information on the priority. PRIORITY_SYNCHRONOUS cannot be used here.
+		 * @param {String} [options.cancelCode] Cancel similar unachieved read operations. See Ametys.data.ServerCall#callMethod cancelCode.
+		 * @param {Object} [options.arguments] Additional arguments set in the callback.arguments parameter.                  
+		 * @param {Boolean} [options.ignoreCallbackOnError] If the server throws an exception, should the callback be called with a null parameter. See Ametys.data.ServerCall#callMethod ignoreOnError.
+    	 */
+		this.addCallables({
+		    role: "org.ametys.runtime.plugins.admin.datasource.DataSourceDAO",
+			methodName: "getSQLDataSource",
+     		errorMessage: {
+				category: this.self.getName(),
+				msg: "<i18n:text i18n:key='PLUGINS_ADMIN_DATASOURCES_GET_DATASOURCE_ERROR'/>"
+			}
+		});
+		
+		/**
+    	 * @callable
+    	 * @member Ametys.plugins.admin.datasource.DataSourceDAO
+    	 * @method addSQLDataSource
+    	 * Add a sql data source
+    	 * This calls the method 'addSQLDataSource' of the server DAO 'org.ametys.runtime.plugins.admin.datasource.DataSourceDAO'.
+    	 * @param {Object[]} parameters The parameters to transmit to the server method
+    	 * @param {Object} parameters[0] The parameters of the data source to create
+		 * @param {String} parameters[0].name the name of the data source
+		 * @param {String} parameters[0].description the optional description of the data source
+		 * @param {String} parameters[0].driver the driver used for this data source
+		 * @param {String} parameters[0].url the url of the database
+		 * @param {String} parameters[0].user the optional database identifier
+		 * @param {String} parameters[0].password the optional data base password
+		 * @param {Boolean} parameters[0].private is the data source public or private ?
+    	 * @param {Function} callback The function to call when the java process is over. Can be null. Use options.scope for the scope. 
+    	 * @param {String} callback.returnedValue the id of the created data source
+    	 * @param {Object} callback.args Other arguments specified in option.arguments
+		 * @param {Object[]} callback.parameters the parameters the server was called with 
+		 * @param {Object} [options] Advanced options for the call.
+		 * @param {Boolean/String/Object} [options.errorMessage] Display an error message. See Ametys.data.ServerCall#callMethod errorMessage.
+		 * @param {Boolean/String/Object} [options.waitMessage] Display a waiting message. See Ametys.data.ServerCall#callMethod waitMessage.
+		 * @param {Number} [options.scope] This parameter is the scope used to call the callback. Moreover is the given class is a mixin of Ametys.data.ServerCaller, its methods #beforeServerCall and #afterServerCall will be used so see their documentation to look for additional options (such a refreshing on Ametys.ribbon.element.ui.ButtonController#beforeServerCall).
+		 * @param {Number} [options.priority] The message priority. See Ametys.data.ServerCall#callMethod for more information on the priority. PRIORITY_SYNCHRONOUS cannot be used here.
+		 * @param {String} [options.cancelCode] Cancel similar unachieved read operations. See Ametys.data.ServerCall#callMethod cancelCode.
+		 * @param {Object} [options.arguments] Additional arguments set in the callback.arguments parameter.                  
+		 * @param {Boolean} [options.ignoreCallbackOnError] If the server throws an exception, should the callback be called with a null parameter. See Ametys.data.ServerCall#callMethod ignoreOnError.
+    	 */
+		this.addCallables({
+		    role: "org.ametys.runtime.plugins.admin.datasource.DataSourceDAO",
+			methodName: "addSQLDataSource",
+			callback: {
+         		handler: this._addSQLDataSourceCb,
+     		},
+     		errorMessage: {
+				category: this.self.getName(),
+				msg: "<i18n:text i18n:key='PLUGINS_ADMIN_DATASOURCES_ADD_DATASOURCE_ERROR'/>"
+			}
+		});
+		
+		/**
+    	 * @callable
+    	 * @member Ametys.plugins.admin.datasource.DataSourceDAO
+    	 * @method editSQLDataSource
+    	 * Edit a sql data source
+    	 * This calls the method 'editSQLDataSource' of the server DAO 'org.ametys.runtime.plugins.admin.datasource.DataSourceDAO'.
+    	 * @param {Object[]} parameters The parameters to transmit to the server method
+    	 * @param {Object} parameters[0] The parameters of the data source to create
+    	 * @param {String} parameters[0].id The id of the data source to edit
+		 * @param {String} parameters[0].name the name of the data source
+		 * @param {String} parameters[0].description the optional description of the data source
+		 * @param {String} parameters[0].driver the driver used for this data source
+		 * @param {String} parameters[0].url the url of the database
+		 * @param {String} parameters[0].user the optional database identifier
+		 * @param {String} parameters[0].password the optional data base password
+		 * @param {Boolean} parameters[0].private is the data source public or private ?
+    	 * @param {Function} callback The function to call when the java process is over. Can be null. Use options.scope for the scope. 
+     	 * @param {Object} callback.returnedValue The data source information. Null on error (please note that when an error occurred, the callback may not be called depending on the value of errorMessage).
+		 * @param {Object} callback.args Other arguments specified in option.arguments with
+		 * @param {Object[]} callback.parameters the parameters the server was called with
+		 * @param {Object} [options] Advanced options for the call.
+		 * @param {Boolean/String/Object} [options.errorMessage] Display an error message. See Ametys.data.ServerCall#callMethod errorMessage.
+		 * @param {Boolean/String/Object} [options.waitMessage] Display a waiting message. See Ametys.data.ServerCall#callMethod waitMessage.
+		 * @param {Number} [options.scope] This parameter is the scope used to call the callback. Moreover is the given class is a mixin of Ametys.data.ServerCaller, its methods #beforeServerCall and #afterServerCall will be used so see their documentation to look for additional options (such a refreshing on Ametys.ribbon.element.ui.ButtonController#beforeServerCall).
+		 * @param {Number} [options.priority] The message priority. See Ametys.data.ServerCall#callMethod for more information on the priority. PRIORITY_SYNCHRONOUS cannot be used here.
+		 * @param {String} [options.cancelCode] Cancel similar unachieved read operations. See Ametys.data.ServerCall#callMethod cancelCode.
+		 * @param {Object} [options.arguments] Additional arguments set in the callback.arguments parameter.                  
+		 * @param {Boolean} [options.ignoreCallbackOnError] If the server throws an exception, should the callback be called with a null parameter. See Ametys.data.ServerCall#callMethod ignoreOnError.
+    	 */
+		this.addCallables({
+			role: "org.ametys.runtime.plugins.admin.datasource.DataSourceDAO",
+			methodName: "editSQLDataSource",
+			callback: {
+         		handler: this._editSQLDataSourceCb,
+     		},
+     		errorMessage: {
+				category: this.self.getName(),
+				msg: "<i18n:text i18n:key='PLUGINS_ADMIN_DATASOURCES_EDIT_DATASOURCE_ERROR'/>"
+			}
+		});
+		
+		/**
+    	 * @callable
+    	 * @member Ametys.plugins.admin.datasource.DataSourceDAO
+    	 * @method removeSQLDataSource
+    	 * Remove the selected sql data source
+    	 * This calls the method 'removeSQLDataSource' of the server DAO 'org.ametys.runtime.plugins.admin.datasource.DataSourceDAO'.
+    	 * @param {Object[]} parameters The parameters to transmit to the server method
+    	 * @param {String} parameters[0] The ids of the data sources to remove
+    	 * @param {Function} callback The function to call when the java process is over. Can be null. Use options.scope for the scope. 
+     	 * @param {Object} callback.returnedValue The value returned by the server. Null on error (please note that when an error occurred, the callback may not be called depending on the value of errorMessage).
+		 * @param {Object} callback.args Other arguments specified in option.arguments with
+		 * @param {Object[]} callback.parameters the parameters the server was called with
+		 * @param {Object} [options] Advanced options for the call.
+		 * @param {Boolean/String/Object} [options.errorMessage] Display an error message. See Ametys.data.ServerCall#callMethod errorMessage.
+		 * @param {Boolean/String/Object} [options.waitMessage] Display a waiting message. See Ametys.data.ServerCall#callMethod waitMessage.
+		 * @param {Number} [options.scope] This parameter is the scope used to call the callback. Moreover is the given class is a mixin of Ametys.data.ServerCaller, its methods #beforeServerCall and #afterServerCall will be used so see their documentation to look for additional options (such a refreshing on Ametys.ribbon.element.ui.ButtonController#beforeServerCall).
+		 * @param {Number} [options.priority] The message priority. See Ametys.data.ServerCall#callMethod for more information on the priority. PRIORITY_SYNCHRONOUS cannot be used here.
+		 * @param {String} [options.cancelCode] Cancel similar unachieved read operations. See Ametys.data.ServerCall#callMethod cancelCode.
+		 * @param {Object} [options.arguments] Additional arguments set in the callback.arguments parameter.                  
+		 * @param {Boolean} [options.ignoreCallbackOnError] If the server throws an exception, should the callback be called with a null parameter. See Ametys.data.ServerCall#callMethod ignoreOnError.
+    	 */
+		this.addCallables({
+			role: "org.ametys.runtime.plugins.admin.datasource.DataSourceDAO",
+			methodName: "removeSQLDataSource",
+			callback: {
+         		handler: this._removeSQLDataSourceCb
+     		},
+     		errorMessage: {
+				category: this.self.getName(),
+				msg: "<i18n:text i18n:key='PLUGINS_ADMIN_DATASOURCES_EDIT_DATASOURCE_ERROR'/>"
+			}
+		});
+		
+		/**
+    	 * @callable
+    	 * @member Ametys.plugins.admin.datasource.DataSourceDAO
+    	 * @method getLDAPDataSource
+    	 * Retrieve a data source from its id
+    	 * This calls the method 'getLDAPDataSource' of the server DAO 'org.ametys.runtime.plugins.admin.datasource.DataSourceDAO'.
+    	 * @param {Object[]} parameters The parameters to transmit to the server method
+    	 * @param {String} parameters[0] The id of the data source to retrieve
+    	 * @param {Function} callback The function to call when the java process is over. Can be null. Use options.scope for the scope. 
+     	 * @param {Object} callback.returnedValue The data source information. Null on error (please note that when an error occurred, the callback may not be called depending on the value of errorMessage).
+		 * @param {Object} callback.args Other arguments specified in option.arguments
+		 * @param {Object[]} callback.parameters the parameters the server was called with
+		 * @param {Object} [options] Advanced options for the call.
+		 * @param {Boolean/String/Object} [options.errorMessage] Display an error message. See Ametys.data.ServerCall#callMethod errorMessage.
+		 * @param {Boolean/String/Object} [options.waitMessage] Display a waiting message. See Ametys.data.ServerCall#callMethod waitMessage.
+		 * @param {Number} [options.scope] This parameter is the scope used to call the callback. Moreover is the given class is a mixin of Ametys.data.ServerCaller, its methods #beforeServerCall and #afterServerCall will be used so see their documentation to look for additional options (such a refreshing on Ametys.ribbon.element.ui.ButtonController#beforeServerCall).
+		 * @param {Number} [options.priority] The message priority. See Ametys.data.ServerCall#callMethod for more information on the priority. PRIORITY_SYNCHRONOUS cannot be used here.
+		 * @param {String} [options.cancelCode] Cancel similar unachieved read operations. See Ametys.data.ServerCall#callMethod cancelCode.
+		 * @param {Object} [options.arguments] Additional arguments set in the callback.arguments parameter.                  
+		 * @param {Boolean} [options.ignoreCallbackOnError] If the server throws an exception, should the callback be called with a null parameter. See Ametys.data.ServerCall#callMethod ignoreOnError.
+    	 */
+		this.addCallables({
+		    role: "org.ametys.runtime.plugins.admin.datasource.DataSourceDAO",
+			methodName: "getLDAPDataSource",
+     		errorMessage: {
+				category: this.self.getName(),
+				msg: "<i18n:text i18n:key='PLUGINS_ADMIN_DATASOURCES_GET_DATASOURCE_ERROR'/>"
+			}
+		});
+		
+		/**
+    	 * @callable
+    	 * @member Ametys.plugins.admin.datasource.DataSourceDAO
+    	 * @method addLDAPDataSource
+    	 * Add a ldap data source
+    	 * This calls the method 'addLDAPDataSource' of the server DAO 'org.ametys.runtime.plugins.admin.datasource.DataSourceDAO'.
+    	 * @param {Object[]} parameters The parameters to transmit to the server method
+    	 * @param {Object} parameters[0] The parameters of the data source to create
+		 * @param {String} parameters[0].name the name of the data source
+		 * @param {String} parameters[0].baseURL the base url of the data source
+		 * @param {Boolean} parameters[0].useSSL True to use the protocol 'ldaps' instead of 'ldap'
+		 * @param {String} parameters[0].baseDN the base domain name
+		 * @param {String} parameters[0].aliasDerefencing the mode for alias dereferencing
+		 * @param {Boolean} parameters[0].followReferrals true to follow the referrals
+		 * @param {String} parameters[0].authenticationMethod the authentication method used to establish a connection with the data source
+		 * @param {String} parameters[0].adminDN the administrator domain name
+		 * @param {String} parameters[0].adminPassword the administrator's password
+		 * @param {Boolean} parameters[0].private is the data source public or private ?
+    	 * @param {Function} callback The function to call when the java process is over. Can be null. Use options.scope for the scope. 
+    	 * @param {String} callback.returnedValue the id of the created data source
+    	 * @param {Object} callback.args Other arguments specified in option.arguments
+		 * @param {Object[]} callback.parameters the parameters the server was called with 
+		 * @param {Object} [options] Advanced options for the call.
+		 * @param {Boolean/String/Object} [options.errorMessage] Display an error message. See Ametys.data.ServerCall#callMethod errorMessage.
+		 * @param {Boolean/String/Object} [options.waitMessage] Display a waiting message. See Ametys.data.ServerCall#callMethod waitMessage.
+		 * @param {Number} [options.scope] This parameter is the scope used to call the callback. Moreover is the given class is a mixin of Ametys.data.ServerCaller, its methods #beforeServerCall and #afterServerCall will be used so see their documentation to look for additional options (such a refreshing on Ametys.ribbon.element.ui.ButtonController#beforeServerCall).
+		 * @param {Number} [options.priority] The message priority. See Ametys.data.ServerCall#callMethod for more information on the priority. PRIORITY_SYNCHRONOUS cannot be used here.
+		 * @param {String} [options.cancelCode] Cancel similar unachieved read operations. See Ametys.data.ServerCall#callMethod cancelCode.
+		 * @param {Object} [options.arguments] Additional arguments set in the callback.arguments parameter.                  
+		 * @param {Boolean} [options.ignoreCallbackOnError] If the server throws an exception, should the callback be called with a null parameter. See Ametys.data.ServerCall#callMethod ignoreOnError.
+    	 */
+		this.addCallables({
+		    role: "org.ametys.runtime.plugins.admin.datasource.DataSourceDAO",
+			methodName: "addLDAPDataSource",
+			callback: {
+         		handler: this._addLDAPDataSourceCb,
+     		},
+     		errorMessage: {
+				category: this.self.getName(),
+				msg: "<i18n:text i18n:key='PLUGINS_ADMIN_DATASOURCES_ADD_DATASOURCE_ERROR'/>"
+			}
+		});
+		
+		/**
+    	 * @callable
+    	 * @member Ametys.plugins.admin.datasource.DataSourceDAO
+    	 * @method editLDAPDataSource
+    	 * Edit a ldap data source
+    	 * This calls the method 'editLDAPDataSource' of the server DAO 'org.ametys.runtime.plugins.admin.datasource.DataSourceDAO'.
+    	 * @param {Object[]} parameters The parameters to transmit to the server method
+    	 * @param {Object} parameters[0] The parameters of the data source to create
+		 * @param {String} parameters[0].name the name of the data source
+		 * @param {String} parameters[0].baseURL the base url of the data source
+		 * @param {Boolean} parameters[0].useSSL True to use the protocol 'ldaps' instead of 'ldap'
+		 * @param {String} parameters[0].baseDN the base domain name
+		 * @param {String} parameters[0].aliasDerefencing the mode for alias dereferencing
+		 * @param {Boolean} parameters[0].followReferrals true to follow the referrals
+		 * @param {String} parameters[0].authenticationMethod the authentication method used to establish a connection with the data source
+		 * @param {String} parameters[0].adminDN the administrator domain name
+		 * @param {String} parameters[0].adminPassword the administrator's password
+		 * @param {Boolean} parameters[0].private is the data source public or private ?
+    	 * @param {Function} callback The function to call when the java process is over. Can be null. Use options.scope for the scope. 
+     	 * @param {Object} callback.returnedValue The data source information. Null on error (please note that when an error occurred, the callback may not be called depending on the value of errorMessage).
+		 * @param {Object} callback.args Other arguments specified in option.arguments with
+		 * @param {Object[]} callback.parameters the parameters the server was called with
+		 * @param {Object} [options] Advanced options for the call.
+		 * @param {Boolean/String/Object} [options.errorMessage] Display an error message. See Ametys.data.ServerCall#callMethod errorMessage.
+		 * @param {Boolean/String/Object} [options.waitMessage] Display a waiting message. See Ametys.data.ServerCall#callMethod waitMessage.
+		 * @param {Number} [options.scope] This parameter is the scope used to call the callback. Moreover is the given class is a mixin of Ametys.data.ServerCaller, its methods #beforeServerCall and #afterServerCall will be used so see their documentation to look for additional options (such a refreshing on Ametys.ribbon.element.ui.ButtonController#beforeServerCall).
+		 * @param {Number} [options.priority] The message priority. See Ametys.data.ServerCall#callMethod for more information on the priority. PRIORITY_SYNCHRONOUS cannot be used here.
+		 * @param {String} [options.cancelCode] Cancel similar unachieved read operations. See Ametys.data.ServerCall#callMethod cancelCode.
+		 * @param {Object} [options.arguments] Additional arguments set in the callback.arguments parameter.                  
+		 * @param {Boolean} [options.ignoreCallbackOnError] If the server throws an exception, should the callback be called with a null parameter. See Ametys.data.ServerCall#callMethod ignoreOnError.
+    	 */
+		this.addCallables({
+			role: "org.ametys.runtime.plugins.admin.datasource.DataSourceDAO",
+			methodName: "editLDAPDataSource",
+			callback: {
+         		handler: this._editLDAPDataSourceCb,
+     		},
+     		errorMessage: {
+				category: this.self.getName(),
+				msg: "<i18n:text i18n:key='PLUGINS_ADMIN_DATASOURCES_EDIT_DATASOURCE_ERROR'/>"
+			}
+		});
+		
+		/**
+    	 * @callable
+    	 * @member Ametys.plugins.admin.datasource.DataSourceDAO
+    	 * @method removeLDAPDataSource
+    	 * Remove the selected ldap data source
+    	 * This calls the method 'removeLDAPDataSource' of the server DAO 'org.ametys.runtime.plugins.admin.datasource.DataSourceDAO'.
+    	 * @param {Object[]} parameters The parameters to transmit to the server method
+    	 * @param {String} parameters[0] The ids of the data sources to remove
+    	 * @param {Function} callback The function to call when the java process is over. Can be null. Use options.scope for the scope. 
+     	 * @param {Object} callback.returnedValue The value returned by the server. Null on error (please note that when an error occurred, the callback may not be called depending on the value of errorMessage).
+		 * @param {Object} callback.args Other arguments specified in option.arguments with
+		 * @param {Object[]} callback.parameters the parameters the server was called with
+		 * @param {Object} [options] Advanced options for the call.
+		 * @param {Boolean/String/Object} [options.errorMessage] Display an error message. See Ametys.data.ServerCall#callMethod errorMessage.
+		 * @param {Boolean/String/Object} [options.waitMessage] Display a waiting message. See Ametys.data.ServerCall#callMethod waitMessage.
+		 * @param {Number} [options.scope] This parameter is the scope used to call the callback. Moreover is the given class is a mixin of Ametys.data.ServerCaller, its methods #beforeServerCall and #afterServerCall will be used so see their documentation to look for additional options (such a refreshing on Ametys.ribbon.element.ui.ButtonController#beforeServerCall).
+		 * @param {Number} [options.priority] The message priority. See Ametys.data.ServerCall#callMethod for more information on the priority. PRIORITY_SYNCHRONOUS cannot be used here.
+		 * @param {String} [options.cancelCode] Cancel similar unachieved read operations. See Ametys.data.ServerCall#callMethod cancelCode.
+		 * @param {Object} [options.arguments] Additional arguments set in the callback.arguments parameter.                  
+		 * @param {Boolean} [options.ignoreCallbackOnError] If the server throws an exception, should the callback be called with a null parameter. See Ametys.data.ServerCall#callMethod ignoreOnError.
+    	 */
+		this.addCallables({
+			role: "org.ametys.runtime.plugins.admin.datasource.DataSourceDAO",
+			methodName: "removeLDAPDataSource",
+			callback: {
+         		handler: this._removeLDAPDataSourceCb
+     		},
+     		errorMessage: {
+				category: this.self.getName(),
+				msg: "<i18n:text i18n:key='PLUGINS_ADMIN_DATASOURCES_EDIT_DATASOURCE_ERROR'/>"
+			}
+		});
+	},
+	
+ 	/**
+	 * @private
+	 * Callback function invoked after the SQL data source is created
+	 * @param {String} id the id of the created data source
+	 * @param {Object} args The callback arguments
+	 * @param {Object[]} params The call parameters 
+	 */
+	_addSQLDataSourceCb: function(id, args, params)
+	{
+		Ext.create('Ametys.message.Message', {
+			type: Ametys.message.Message.CREATED,
+			targets: {
+				type: Ametys.message.MessageTarget.DATASOURCE,
+				parameters: {
+					id: id,
+					type: 'SQL'
+				}
+			}
+		});
+	},
+	
+ 	/**
+	 * @private
+	 * Callback function invoked after the SQL data source is edited
+	 * @param {Object} response The server's response
+	 * @param {Object} args The callback arguments
+	 * @param {Object[]} params The call parameters 
+	 */
+	_editSQLDataSourceCb: function(id, args, params)
+	{
+		Ext.create('Ametys.message.Message', {
+			type: Ametys.message.Message.MODIFIED,
+			targets: {
+				type: Ametys.message.MessageTarget.DATASOURCE,
+				parameters: {
+					id: params[0].id,
+					type: 'SQL'
+				}
+			}
+		});
+	},
+	
+ 	/**
+	 * @private
+	 * Callback function invoked after the SQL data source is (are) deleted
+	 * @param {Object} response the server's response
+	 * @param {Object} args The callback arguments
+	 * @param {Object[]} params The call parameters
+	 */
+	_removeSQLDataSourceCb: function(response, args, params)
+	{
+		var ids = params[0];
+		
+		Ext.Array.each(ids, function(id){
+			Ext.create('Ametys.message.Message', {
+				type: Ametys.message.Message.DELETED,
+				targets: {
+					type: Ametys.message.MessageTarget.DATASOURCE,
+					parameters: {
+						id: id,
+						type: 'SQL'
+					}
+				}
+			});
+		})
+	},
+	
+ 	/**
+	 * @private
+	 * Callback function invoked after the LDAP data source is created
+	 * @param {String} id the id of the created data source
+	 * @param {Object} args The callback arguments
+	 * @param {Object[]} params The call parameters 
+	 */
+	_addLDAPDataSourceCb: function(id, args, params)
+	{
+		Ext.create('Ametys.message.Message', {
+			type: Ametys.message.Message.CREATED,
+			targets: {
+				type: Ametys.message.MessageTarget.DATASOURCE,
+				parameters: {
+					id: id,
+					type: 'LDAP'
+				}
+			}
+		});
+	},
+	
+ 	/**
+	 * @private
+	 * Callback function invoked after the LDAP data source is edited
+	 * @param {Object} response The server's response
+	 * @param {Object} args The callback arguments
+	 * @param {Object[]} params The call parameters 
+	 */
+	_editLDAPDataSourceCb: function(id, args, params)
+	{
+		Ext.create('Ametys.message.Message', {
+			type: Ametys.message.Message.MODIFIED,
+			targets: {
+				type: Ametys.message.MessageTarget.DATASOURCE,
+				parameters: {
+					id: params[0].id,
+					type: 'LDAP'
+				}
+			}
+		});
+	},
+	
+ 	/**
+	 * @private
+	 * Callback function invoked after the LDAP data source is (are) deleted
+	 * @param {Object} response the server's response
+	 * @param {Object} args The callback arguments
+	 * @param {Object[]} params The call parameters
+	 */
+	_removeLDAPDataSourceCb: function(response, args, params)
+	{
+		var ids = params[0];
+		
+		Ext.Array.each(ids, function(id){
+			Ext.create('Ametys.message.Message', {
+				type: Ametys.message.Message.DELETED,
+				targets: {
+					type: Ametys.message.MessageTarget.DATASOURCE,
+					parameters: {
+						id: id,
+						type: 'LDAP'
+					}
+				}
+			});
+		})
+	}
+});
+
+Ext.define('Ametys.message.DataSourceMessageTarget', {
+	
+	override: 'Ametys.message.MessageTarget',
+	statics: 
+	{
+		/**
+		 * @member Ametys.message.MessageTarget
+		 * @readonly
+		 * @property {String} DATASOURCE The target of the message is a data source. The expected parameters are: 
+	 	 * @property {String} DATASOURCE.id The id of the data source
+	 	 * @property {String} DATASOURCE.type The type of the data source
+	 	 * @property {Boolean} [DATASOURCE.inUse] is the datasource in use ?
+		 */
+		DATASOURCE: "datasource"
+	}
+});
+
Index: main/plugin-admin/resources/js/Ametys/plugins/admin/datasource/DataSourceTool/DataSource.js
===================================================================
--- main/plugin-admin/resources/js/Ametys/plugins/admin/datasource/DataSourceTool/DataSource.js	(revision 0)
+++ main/plugin-admin/resources/js/Ametys/plugins/admin/datasource/DataSourceTool/DataSource.js	(revision 0)
@@ -0,0 +1,31 @@
+/*
+ *  Copyright 2015 Anyware Services
+ *
+ *  Licensed under the Apache License, Version 2.0 (the "License");
+ *  you may not use this file except in compliance with the License.
+ *  You may obtain a copy of the License at
+ *
+ *      http://www.apache.org/licenses/LICENSE-2.0
+ *
+ *  Unless required by applicable law or agreed to in writing, software
+ *  distributed under the License is distributed on an "AS IS" BASIS,
+ *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+ *  See the License for the specific language governing permissions and
+ *  limitations under the License.
+ */
+
+/**
+ * @private
+ * The model used in the {@link Ametys.plugins.admin.datasource.DataSourceTool} grid
+ */
+Ext.define('Ametys.plugins.admin.datasource.DataSourceTool.DataSource', {
+    extend: 'Ext.data.Model',
+    
+    fields: [
+       {name: 'id', mapping: 'id'},
+       {name: 'name', mapping: 'name'},
+       {name: 'inUse', mapping: 'inUse', type: 'boolean'},
+       {name: 'private', mapping: 'private', type: 'boolean'},
+       {name: 'type', mapping: 'type'}
+    ]
+});
\ No newline at end of file
